import { IObservable } from "../../../../base/common/observable.js";
import { ICodeEditor } from "../../../../editor/browser/editorBrowser.js";
import { IInstantiationService } from "../../../../platform/instantiation/common/instantiation.js";
import { IChatEditingSession, IModifiedFileEntry } from "../common/chatEditingService.js";
import { IEditorContribution } from "../../../../editor/common/editorCommon.js";
export declare class ChatEditorOverlayController implements IEditorContribution {
    private readonly _editor;
    private readonly _instaService;
    static readonly ID = "editor.contrib.chatEditorOverlayController";
    static get(editor: ICodeEditor): ChatEditorOverlayController | undefined;
    private readonly _overlayWidget;
    constructor(_editor: ICodeEditor, _instaService: IInstantiationService);
    dispose(): void;
    showRequest(session: IChatEditingSession): void;
    showEntry(session: IChatEditingSession, activeEntry: IModifiedFileEntry, next: IModifiedFileEntry, indicies: {
        entryIndex: IObservable<number | undefined>;
        changeIndex: IObservable<number | undefined>;
    }): void;
    hide(): void;
}
