import { URI } from "../../../../../../base/common/uri.js";
import { ParseError } from "@codingame/monaco-vscode-fab30422-b487-5f4e-8d30-8b4d266e3fcd-common/vscode/vs/workbench/contrib/chat/common/promptFileReferenceErrors";
import { IDisposable } from "../../../../../../base/common/lifecycle.js";
import { IRange, Range } from "../../../../../../editor/common/core/range.js";
export interface IResolveError {
    message: string;
    isRootError: boolean;
}
type PromptReferenceTypes = "file";
export interface IPromptReference extends IDisposable {
    readonly type: PromptReferenceTypes;
    readonly uri: URI;
    readonly range: Range;
    readonly linkRange: IRange | undefined;
    readonly isPromptSnippet: boolean;
    readonly resolveFailed: boolean | undefined;
    readonly errorCondition: ParseError | undefined;
    readonly allErrors: readonly ParseError[];
    readonly topError: IResolveError | undefined;
    allReferences: readonly IPromptReference[];
    allValidReferences: readonly IPromptReference[];
    settled(): Promise<this>;
    allSettled(): Promise<this>;
}
export interface IPromptFileReference extends IPromptReference {
    readonly type: "file";
}
