import { URI } from "../../../../base/common/uri.js";
import { Disposable, IDisposable } from "../../../../base/common/lifecycle.js";
import { QuickDiff, QuickDiffProvider } from "./quickDiff.js";
import { IQuickDiffService } from "./quickDiff.service.js";
import { IUriIdentityService } from "../../../../platform/uriIdentity/common/uriIdentity.service.js";
export declare class QuickDiffService extends Disposable implements IQuickDiffService {
    private readonly uriIdentityService;
    readonly _serviceBrand: undefined;
    private quickDiffProviders;
    private readonly _onDidChangeQuickDiffProviders;
    readonly onDidChangeQuickDiffProviders: import("../../../../base/common/event.js").Event<void>;
    constructor(uriIdentityService: IUriIdentityService);
    addQuickDiffProvider(quickDiff: QuickDiffProvider): IDisposable;
    private isQuickDiff;
    getQuickDiffs(uri: URI, language?: string, isSynchronized?: boolean): Promise<QuickDiff[]>;
}
export declare function getOriginalResource(quickDiffService: IQuickDiffService, uri: URI, language: string | undefined, isSynchronized: boolean | undefined): Promise<URI | null>;
