import { IConfigurationService } from "../../../../platform/configuration/common/configuration.service.js";
export declare enum Parts {
    TITLEBAR_PART = "workbench.parts.titlebar",
    BANNER_PART = "workbench.parts.banner",
    ACTIVITYBAR_PART = "workbench.parts.activitybar",
    SIDEBAR_PART = "workbench.parts.sidebar",
    PANEL_PART = "workbench.parts.panel",
    AUXILIARYBAR_PART = "workbench.parts.auxiliarybar",
    EDITOR_PART = "workbench.parts.editor",
    STATUSBAR_PART = "workbench.parts.statusbar"
}
export declare enum ZenModeSettings {
    SHOW_TABS = "zenMode.showTabs",
    HIDE_LINENUMBERS = "zenMode.hideLineNumbers",
    HIDE_STATUSBAR = "zenMode.hideStatusBar",
    HIDE_ACTIVITYBAR = "zenMode.hideActivityBar",
    CENTER_LAYOUT = "zenMode.centerLayout",
    FULLSCREEN = "zenMode.fullScreen",
    RESTORE = "zenMode.restore",
    SILENT_NOTIFICATIONS = "zenMode.silentNotifications"
}
export declare enum LayoutSettings {
    ACTIVITY_BAR_LOCATION = "workbench.activityBar.location",
    EDITOR_TABS_MODE = "workbench.editor.showTabs",
    EDITOR_ACTIONS_LOCATION = "workbench.editor.editorActionsLocation",
    COMMAND_CENTER = "window.commandCenter",
    LAYOUT_ACTIONS = "workbench.layoutControl.enabled"
}
export declare enum ActivityBarPosition {
    DEFAULT = "default",
    TOP = "top",
    BOTTOM = "bottom",
    HIDDEN = "hidden"
}
export declare enum EditorTabsMode {
    MULTIPLE = "multiple",
    SINGLE = "single",
    NONE = "none"
}
export declare enum EditorActionsLocation {
    DEFAULT = "default",
    TITLEBAR = "titleBar",
    HIDDEN = "hidden"
}
export declare enum Position {
    LEFT = 0,
    RIGHT = 1,
    BOTTOM = 2,
    TOP = 3
}
export declare function isHorizontal(position: Position): boolean;
export declare enum PanelOpensMaximizedOptions {
    ALWAYS = 0,
    NEVER = 1,
    REMEMBER_LAST = 2
}
export type PanelAlignment = "left" | "center" | "right" | "justify";
export declare function positionToString(position: Position): string;
export declare function positionFromString(str: string): Position;
export declare function panelOpensMaximizedFromString(str: string): PanelOpensMaximizedOptions;
export type MULTI_WINDOW_PARTS = Parts.EDITOR_PART | Parts.STATUSBAR_PART | Parts.TITLEBAR_PART;
export type SINGLE_WINDOW_PARTS = Exclude<Parts, MULTI_WINDOW_PARTS>;
export declare function shouldShowCustomTitleBar(configurationService: IConfigurationService, window: Window, menuBarToggled?: boolean): boolean;
